<template>
<!-- <div>
      <ul>
          <li v-for="(clientes, index) in clientes" :key="clientes.id">
            <p>Nombre:
                {{clientes.nombre}}
            </p>
            <p>Usuario:
                {{clientes.usuario}}
            </p>
            <p>Password:
                {{clientes.password}}
            </p>
            <p>email:
                {{clientes.email}}
            </p><br>
            <p>
              <img :src="clientes.foto">
            </p>
                <button @click="enviarIndiceCliente(index)">
                  Borrar
              </button>
              <button @click="enviarDatosCliente(index)">
                  Editar
              </button>
          </li>
      </ul>
      
</div>-->
<body>
  <div class="container">
    <li v-for="(clientes, index) in clientes" :key="clientes.id">
      <div class="row">
          <div class="column">
        <div class="card">
          <div class="face face1">
            <div class="content">
              <img :src="clientes.foto" />
              <h3>{{clientes.nombre}}</h3>
            </div>
          </div>
          <div class="face face2">
            <div class="content">
              <br />
              <br />
              <br />
              <p>Usuario: {{clientes.usuario}}</p>
              <p>Password: {{clientes.password}}</p>
              <p>email: {{clientes.email}}</p>
              <br />
              <button @click="enviarIndiceCliente(index)">Borrar</button>
              <button @click="enviarDatosCliente(index)">Editar</button>
            </div>
            </div>
          </div>
        </div>
      </div>
    </li>
  </div>
</body>
</template>




<script>
export default {
  name: "clienttable",
  props: {
    clientes: Array,
  },
  methods: {
    enviarDatosCliente(index) {
      let datosCliente = this.clientes[index];
      this.$emit("datos", datosCliente);
    },
    enviarIndiceCliente(index) {
      let indiceCliente = this.clientes[index].id;
      this.$emit("borrar", indiceCliente);
    },
  },
};
</script>

<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@200&display=swap");
body {
  font-family: "Source Sans Pro", sans-serif;
  margin: 0;
}
* {
  font-family: "Source Sans Pro", sans-serif;
  list-style: none;
  box-sizing: border-box;
}

.contenido {
    max-width: 500px;
  margin: auto;
  font-family: "Source Sans Pro", sans-serif;
  padding-top: 150px;
  text-align: center;
}
.column {
      float: left;
  width: 25%;
  padding: 0 10px;
  margin-bottom: 16px;
}
.row {
    margin: 0 -5px;
}

.card {
  padding: 20px;
  text-align: center;
}

body {
  font-family: "Source Sans Pro", sans-serif;
  margin: 0;
  padding: 0;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: consolas;
}
button {
  background-color: green;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 22px;
  margin: 4px 2px;
  cursor: pointer;
  margin-bottom: 100px;
}

.container {
  width: 1000px;
  position: relative;
  display: flex;
  justify-content: space-between;
}

.container .card {
  position: relative;
  cursor: pointer;
}

.container .card .face {
  width: 300px;
  height: 200px;
  transition: 0.5s;
}

.container .card .face.face1 {
  position: relative;
  background: darkolivegreen;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1;
  transform: translateY(100px);
}

.container .card:hover .face.face1 {
  background: green;
  transform: translateY(0);
}

.container .card .face.face1 .content {
  opacity: 0.2;
  transition: 0.5s;
}

.container .card:hover .face.face1 .content {
  opacity: 1;
}

.container .card .face.face1 .content img {
  max-width: 100px;
}

.container .card .face.face1 .content h3 {
  margin: 10px 0 0;
  padding: 0;
  color: #fff;
  text-align: center;
  font-size: 1.5em;
}

.container .card .face.face2 {
  position: relative;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 20px;
  box-sizing: border-box;
  box-shadow: 0 20px 50px rgba(0, 0, 0, 0.8);
  transform: translateY(-100px);
}

.container .card:hover .face.face2 {
  transform: translateY(0);
}

.container .card .face.face2 .content p {
  margin: 0;
  padding: 0;
}

.container .card .face.face2 .content a {
  margin: 15px 0 0;
  display: inline-block;
  text-decoration: none;
  font-weight: 900;
  color: #333;
  padding: 5px;
  border: 1px solid #333;
}

.container .card .face.face2 .content a:hover {
  background: #333;
  color: #fff;
}
@media screen and (max-width: 600px) {
  .column {
    width: 100%;
    display: block;
    margin-bottom: 20px;
  }
}
</style>